OpenTTD Source: Data Fields

OpenTTD Source 13.2.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - p -

- p : ICUParagraphLayout , StringListReader
- Pack() : Order , VehicleListIdentifier
- Packet() : Packet
- packet_queue : NetworkTCPSocketHandler
- packet_recv : NetworkTCPSocketHandler
- PacketReader() : PacketReader
- packets : CargoList< Tinst, Tcont >
- Packets() : CargoList< Tinst, Tcont >
- packets : PacketWriter
- PacketWriter() : PacketWriter
- pad : LanguagePackHeader
- padding : NWidgetBase , NWidgetPart
- page : StoryPageElement
- PageElementOrderSorter() : StoryBookWindow
- PageOrderSorter() : StoryBookWindow
- Paint() : OpenGLBackend , VideoDriver , VideoDriver_Allegro , VideoDriver_CocoaOpenGL , VideoDriver_CocoaQuartz , VideoDriver_SDL , VideoDriver_SDL_Default , VideoDriver_SDL_OpenGL , VideoDriver_Win32GDI
- pal : BridgeSpec , PalSpriteID , ParentSpriteToDraw
- pal_identity : OpenGLSprite
- pal_pbo : OpenGLSprite
- pal_program : OpenGLBackend
- pal_tex : OpenGLSprite
- pal_texture : OpenGLBackend
- palette : Blitter_32bppAnim , GraphicsSet , GRFConfig , Palette , TileLayoutRegisters , VideoDriver_CocoaQuartz
- PALETTE_ANIMATION_BLITTER : Blitter
- PALETTE_ANIMATION_NONE : Blitter
- PALETTE_ANIMATION_VIDEO_BACKEND : Blitter
- palette_remap : SpriteFile
- palette_size : BmpInfo
- palette_var10 : TileLayoutRegisters
- PaletteAnimate() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_8bppBase , Blitter_Null
- PaletteAnimation : Blitter
- PaletteChanged() : VideoDriver_Win32Base , VideoDriver_Win32GDI
- pan_to_next : IntroGameViewportCommand
- panel_widths : NWidgetScenarioToolbarContainer
- param : GRFConfig
- param_end : GRFFile
- param_info : GRFConfig
- param_nr : GRFParameterInfo
- param_value : GRFError
- paramcount : TooltipsWindow
- parameter : DeterministicSpriteGroupAdjust
- params : FoundTownWindow , NewsItem , QueryWindow , TooltipsWindow
- params_1 : TextEffect
- params_2 : TextEffect
- parent : CargoDataEntry , FontCache , Group , Path , PathNode
- Parent : StationCargoList
- parent : StringParameters , TileLayoutRegisters
- Parent : VehicleCargoList
- parent : Window
- parent_button : DropdownWindow
- parent_cls : WindowDesc
- parent_scope : VehicleResolverObject
- parent_sprites_to_sort : ViewportDrawer
- Parse() : ServerAddress
- ParseFile() : FileStringReader , StringReader
- ParsePacketSize() : Packet
- ParseSingleValue() : OneOfManySettingDesc
- ParseValue() : BoolSettingDesc , IntSettingDesc , ListSettingDesc , ManyOfManySettingDesc , NullSettingDesc , OneOfManySettingDesc , SettingDesc , StringSettingDesc
- part_of_subsidy : Industry , TownCache
- passenger_capacity : AircraftVehicleInfo
- PassOnFlow() : FlowStatMap
- password : NetworkCompanyState
- password_editbox : NetworkCompanyPasswordWindow
- Path() : Path
- path : RoadVehicle , Ship
- path_backoff_interval : PathfinderSettings
- PathCapacityBoundaries : Path
- pathfinder_for_roadvehs : PathfinderSettings
- pathfinder_for_ships : PathfinderSettings
- pathfinder_for_trains : PathfinderSettings
- Paths() : LinkGraphJob::Node
- paths : LinkGraphJob::NodeAnnotation
- Pause() : AI , Game , ScriptInstance
- pause_on_join : NetworkSettings
- pause_on_newgame : GUISettings
- Paused() : PerformanceMeasurer
- PayFinalDelivery() : CargoPayment
- payment : CargoDelivery
- PayTransfer() : CargoPayment
- PBSTileInfo() : PBSTileInfo
- Peek() : CommandQueue
- performance : NetworkCompanyInfo
- performance_history : CompanyEconomyEntry
- PerformanceAccumulator() : PerformanceAccumulator
- PerformanceData() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- PerformanceMeasurer() : PerformanceMeasurer
- PerformanceSorter() : PerformanceLeagueWindow
- persistent_buildingtools : GUISettings
- persistent_mapping_supported : OpenGLBackend
- PersistentStorage() : PersistentStorage
- PersistentStorageArray() : PersistentStorageArray< TYPE, SIZE >
- pf : GameSettings
- PfBase : CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
- PfCalcCost() : CYapfCostRailT< Types > , CYapfCostRoadT< Types > , CYapfCostShipT< Types >
- PfCalcEstimate() : CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfDestinationTileRoadT< Types > , CYapfDestinationTileT< Types > , CYapfDestinationTileWaterT< Types >
- PfDetectDestination() : CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfDestinationTileRoadT< Types > , CYapfDestinationTileT< Types > , CYapfDestinationTileWaterT< Types >
- PfFollowNode() : CYapfFollowAnyDepotRailT< Types > , CYapfFollowAnySafeTileRailT< Types > , CYapfFollowRailT< Types > , CYapfFollowRoadT< Types > , CYapfFollowShipT< Types >
- PfGetSettings() : CYapfBaseT< Types >
- PfNodeCacheFetch() : CYapfSegmentCostCacheGlobalT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfSegmentCostCacheNoneT< Types >
- PfNodeCacheFlush() : CYapfSegmentCostCacheGlobalT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfSegmentCostCacheNoneT< Types >
- PfSetStartupNodes() : CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types >
- picker_title : RoadTypeInfo
- picker_tooltip : RoadTypeInfo
- pip : NWidgetPart
- pip_inter : NWidgetPIPContainer
- pip_post : NWidgetPIPContainer
- pip_pre : NWidgetPIPContainer
- pitch : Blitter::BlitterParams
- pixel_buffer : VideoDriver_CocoaQuartz
- pixels : Textbuf
- PixelToTile() : SmallMapWindow
- place_mode : TileHighlightData
- PlaceIndustry() : IndustryCargoesWindow
- plane_crashes : VehicleSettings
- plane_speed : VehicleSettings
- PlaneSelections : VehicleViewWindow
- planned : LinkProperties
- Play() : MusicSystem
- PlayChannelFrame() : MpsMachine
- player_host_index : NetworkClientListWindow
- player_self_index : NetworkClientListWindow
- PlayFrame() : MpsMachine
- playing : MusicSettings
- PlayInto() : MpsMachine
- PlayLeaveStationSound() : Ship , Train , Vehicle
- playlist : MusicSettings
- PlaylistAdd() : MusicSystem
- PlaylistClear() : MusicSystem
- PlaylistRemove() : MusicSystem
- playpos : MpsMachine::Channel
- PlaySong() : MusicDriver , MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_Cocoa , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_FluidSynth , MusicDriver_Null , MusicDriver_OS2 , MusicDriver_Win32
- plural_count : PluralForm
- plural_form : LanguageMap , LanguagePackHeader
- PollEvent() : VideoDriver , VideoDriver_Allegro , VideoDriver_Cocoa , VideoDriver_SDL , VideoDriver_SDL_Base , VideoDriver_Win32Base
- Pool : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- PoolBase() : PoolBase
- Pop() : BinaryHeap , CHashTableT< Titem_, Thash_bits_ > , CommandQueue , LRUCache< Tkey, Tdata > , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- PopBestOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- PopCargo() : VehicleCargoList
- PopColour() : FontState
- PopFromQueue() : Packet
- PopOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- PopulateSystemSprites() : VideoDriver , VideoDriver_Cocoa , VideoDriver_CocoaOpenGL , VideoDriver_SDL_OpenGL
- population : HouseSpec , TownCache
- population_in_label : GUISettings
- pos : Aircraft , CursorVars , Packet , RandomAccessFile , Scrollbar , TileHighlightData
- pos_x : NWidgetBase
- pos_y : NWidgetBase
- position : AirportFTA , AirportFTAbuildup , DropdownWindow , ErrorMessageData , IntroGameViewportCommand
- position_consist_length : NewGRFCache
- position_in_vehicle : NewGRFCache
- position_same_id_length : NewGRFCache
- PositionForViewport() : IntroGameViewportCommand
- positions : FallbackParagraphLayout::FallbackVisualRun
- Post() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), false > , CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- post : NWidgetPartPIP
- post_callback : IntSettingDesc , StringSettingDesc
- PostChangeCallback : IntSettingDesc , StringSettingDesc
- PostDestructor() : BaseStation , Company , Industry , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , Town
- PostFromNet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- Postprocess() : CargoRemoval< Tsource >
- PostResize() : Blitter , Blitter_32bppAnim
- pow_wag_power : RailVehicleInfo
- pow_wag_weight : RailVehicleInfo
- power : RailVehicleInfo , RoadVehicleInfo
- PowerChanged() : GroundVehicle< T, Type >
- powered_railtypes : RailtypeInfo
- powered_roadtypes : RoadTypeInfo
- pre_check : IntSettingDesc , StringSettingDesc
- PreChangeCheck : IntSettingDesc , StringSettingDesc
- PreDestructor() : Vehicle
- PredictNextOrder() : LinkRefresher
- pref_height : WindowDesc
- pref_sticky : WindowDesc
- pref_width : WindowDesc
- prefer_teamchat : GUISettings
- prefix : CurrencySpec
- PrepareLayout() : NewGRFSpriteLayout
- PrepareRefitAction() : PrepareRefitAction
- PrepareToRead() : Packet
- PrepareToSend() : Packet
- PrependQueue() : PacketWriter
- Preprocess() : CargoMovement< Tsource, Tdest > , CargoRemoval< Tsource >
- preset : NewGRFWindow
- presetname_editbox : SavePresetWindow
- presets : SavePresetWindow
- president_name : CompanyNewsInformation , CompanyProperties
- president_name_1 : CompanyProperties
- president_name_2 : CompanyProperties
- pressed : WidgetDimensions
- prev : HeaderFileWriter
- Prev() : IcuStringIterator , MusicSystem
- prev : NewsItem , NWidgetBase
- Prev() : OSXStringIterator , StringIterator , UniscribeStringIterator
- prev_index : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- prev_storage : PersistentStorageArray< TYPE, SIZE >
- preview_asked : Engine
- preview_company : Engine
- preview_sprite : AirportSpec , BuildAirportWindow
- preview_wait : Engine
- Previous() : SpecializedVehicle< T, Type > , Vehicle
- previous : Vehicle
- previous_pos : Aircraft
- previous_shared : Vehicle
- PreviousShared() : Vehicle
- PrevNextSign() : SignWindow
- price : BridgeSpec
- price_base_multipliers : GRFFile
- Print() : Textbuf
- print_func : Squirrel
- PrintFunc() : Squirrel
- priority : DriverFactoryBase
- prob : NamePart
- probability : HouseSpec , IndustryTypeBuildData
- proc : Button< T > , CheatEntry , GenWorldInfo , IConsoleCmd , OldChunks , QueryWindow , ScreenshotFormat , TownNameGeneratorParams
- ProcessHighlightedInvalidations() : Window
- processing_time : HouseSpec
- ProcessRegisters() : NewGRFSpriteLayout , TileLayoutSpriteGroup
- ProcessScheduledInvalidations() : Window
- prod_level : Industry
- produced_cargo : Industry
- produced_cargo_filter_criteria : IndustryDirectoryWindow
- produced_cargo_waiting : Industry
- production_down_text : IndustrySpec
- production_nobody : NewsSettings
- production_offset_y : IndustryViewWindow
- production_other : NewsSettings
- production_player : NewsSettings
- production_rate : Industry
- production_up_text : IndustrySpec
- profit_last_year : GroupStatistics , Vehicle
- profit_last_year_min_age : GroupStatistics
- profit_this_year : Vehicle
- programvelocities : MpsMachine
- progress : Goal , Vehicle
- prop : NIProperty
- properties : NIFeature
- prospecting_chance : IndustrySpec
- PruneIntermediateNodeBranch() : CYapfBaseT< Types >
- psa : Airport , Industry
- PSAWithParameter() : NIHelper , NIHTown
- PtInExtendedRect() : StationRect
- ptr : OldChunks
- Push() : BinaryHeap , CHashTableT< Titem_, Thash_bits_ > , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- PushColour() : FontState
- PushExtraConfigList() : AIConfig , ScriptConfig
- PushFlow() : MultiCommodityFlow
- pylons : StationSpec